Автор Тема: apache + php  (Прочитано 4515 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Екатерина

  • Активный пользователь
  • **
  • Сообщений: 90
apache + php
« : 25 Июля 2017, 13:33:13 »
Добрый день!
Я немного накосячила и согласилась не глядя, думаю, что линукс умнее меня. Он конечно умнее, но не в ту сторону. И теперь у меня не запускается пхп на апатче( это можно как-нибудь исправить не удаляя все на свете?
Я нечаянно подключила лишние репозитории и видимо отсюда и пошли все проблемы( теперь я вернулась стандартные репозитории с диска
apt autoremove он не знает
apt-get install -f и aptitude install -f не помогли
aptitude search ~ahold ничего не находит

при попытке заново установить пхп
apt-get install php5-common libapache2-mod-php5 php5-cli
пишет: oot@optic:/var/www/monitor.tc# apt-get install php5-common libapache2-mod-php5 php5-cli
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
php5-common is already the newest version.
php5-cli is already the newest version.
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 dpkg : Ломает: libapache2-mod-php5 (< 5.6.4+dfsg-3~) но 5.4.4-2astra2 будет установлен
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.

aptitude говорит тоже что все установлено, но выдает предупреждения

Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/^(.*?)(\\)?\${ <-- HERE ([^{}]+)}(.*)$/ at /usr/share/perl5/Debconf/Question.pm line 72.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ([^}]+)}/ at /usr/share/perl5/Debconf/Config.pm line 30.

Cообщение объединено 25 Июля 2017, 14:41:27
паааааника
я даже сейчас удалить не могу пакеты(
« Последнее редактирование: 25 Июля 2017, 14:41:27 от Екатерина »
 

Оффлайн ogost

Re: apache + php
« Ответ #1 : 25 Июля 2017, 14:42:19 »
Рискованно, но:
1. Удалить сторонние репозитории
2. Обновить список источников
3. Удалить апач и пхп
4. Сделать autoremove --purge
5. Сделать apt-cache clean
6. Попытаться установить заново.

Оффлайн Екатерина

  • Активный пользователь
  • **
  • Сообщений: 90
Re: apache + php
« Ответ #2 : 25 Июля 2017, 14:44:21 »
удалила( только теперь не установить( :-[
root@optic:/home/tc-secur/projects/OTDRServer/WonderfullBash# aptitude install apache2
Следующие НОВЫЕ пакеты будут установлены:       
  apache2 apache2-mpm-prefork{a} apache2-utils{a} apache2.2-bin{a} apache2.2-common{a} libapr1{a} libaprutil1{a}
  libaprutil1-dbd-sqlite3{a} libaprutil1-ldap{a}
Следующие частично установленные пакеты будут настроены:
  nfs-common nfs-kernel-server openbsd-inetd postgresql-common ppp pptpd samba squid vsftpd
0 пакетов обновлено, 9 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B/1 619 kB архивов. После распаковки 4 147 kB будет занято.
Хотите продолжить? [Y/n/?] Y
90% [Обработка]Выбор ранее не выбранного пакета libapr1.
(Чтение базы данных … на данный момент установлено 113894 файла и каталога.)
Подготовка к распаковке …/libapr1_1.4.6-3+deb7u1_amd64.deb …
Распаковывается libapr1 (1.4.6-3+deb7u1) …
Выбор ранее не выбранного пакета libaprutil1.
Подготовка к распаковке …/libaprutil1_1.4.1-2astra1_amd64.deb …
Распаковывается libaprutil1 (1.4.1-2astra1) …
Выбор ранее не выбранного пакета libaprutil1-dbd-sqlite3.
Подготовка к распаковке …/libaprutil1-dbd-sqlite3_1.4.1-2astra1_amd64.deb …
Распаковывается libaprutil1-dbd-sqlite3 (1.4.1-2astra1) …
Выбор ранее не выбранного пакета libaprutil1-ldap.
Подготовка к распаковке …/libaprutil1-ldap_1.4.1-2astra1_amd64.deb …
Распаковывается libaprutil1-ldap (1.4.1-2astra1) …
Выбор ранее не выбранного пакета apache2.2-bin.
Подготовка к распаковке …/apache2.2-bin_2.2.22-13astra.se15_amd64.deb …
Распаковывается apache2.2-bin (2.2.22-13astra.se15) …
Выбор ранее не выбранного пакета apache2-utils.
Подготовка к распаковке …/apache2-utils_2.2.22-13astra.se15_amd64.deb …
Распаковывается apache2-utils (2.2.22-13astra.se15) …
Выбор ранее не выбранного пакета apache2.2-common.
Подготовка к распаковке …/apache2.2-common_2.2.22-13astra.se15_amd64.deb …
Распаковывается apache2.2-common (2.2.22-13astra.se15) …
Выбор ранее не выбранного пакета apache2-mpm-prefork.
Подготовка к распаковке …/apache2-mpm-prefork_2.2.22-13astra.se15_amd64.deb …
Распаковывается apache2-mpm-prefork (2.2.22-13astra.se15) …
Выбор ранее не выбранного пакета apache2.
Подготовка к распаковке …/apache2_2.2.22-13astra.se15_amd64.deb …
Распаковывается apache2 (2.2.22-13astra.se15) …
Обрабатываются триггеры для man-db (2.7.5-1) …
Настраивается пакет samba (2:3.6.25-astra.se7) …
/var/lib/dpkg/info/samba.postinst: line 117: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета samba (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Настраивается пакет squid (2.7.STABLE9-4.1+deb7u1) …
/var/lib/dpkg/info/squid.postinst: line 187: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета squid (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Настраивается пакет nfs-common (1:1.2.8-9ubuntu12) …
/var/lib/dpkg/info/nfs-common.postinst: line 126: invoke-rc.d: команда не найдена
dpkg: ошибка при обработке пакета nfs-common (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
dpkg: зависимости пакетов не позволяют настроить пакет nfs-kernel-server:
 nfs-kernel-server зависит от nfs-common (= 1:1.2.8-9ubuntu12), однако:
  Пакет nfs-common пока не настроен.

dpkg: ошибка при обработке пакета nfs-kernel-server (--configure):
 проблемы зависимостей — оставляем не настроенным
Настраивается пакет openbsd-inetd (0.20091229-2) …
/var/lib/dpkg/info/openbsd-inetd.postinst: line 11: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета openbsd-inetd (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Настраивается пакет postgresql-common (165astra.se7) …
/var/lib/dpkg/info/postgresql-common.postinst: line 176: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета postgresql-common (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Настраивается пакет ppp (2.4.6-3.1) …
/var/lib/dpkg/info/ppp.postinst: line 72: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета ppp (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
dpkg: зависимости пакетов не позволяют настроить пакет pptpd:
 pptpd зависит от ppp (>= 2.4.5-3), однако:
  Пакет ppp пока не настроен.

dpkg: ошибка при обработке пакета pptpd (--configure):
 проблемы зависимостей — оставляем не настроенным
Настраивается пакет vsftpd (3.0.3-3ubuntu2) …
vsftpd user (ftp) already exists, doing nothing.

vsftpd directory (/srv/ftp) already exists, doing nothing.
/var/lib/dpkg/info/vsftpd.postinst: line 82: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета vsftpd (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Настраивается пакет libapr1 (1.4.6-3+deb7u1) …
Настраивается пакет libaprutil1 (1.4.1-2astra1) …
Настраивается пакет libaprutil1-dbd-sqlite3 (1.4.1-2astra1) …
Настраивается пакет libaprutil1-ldap (1.4.1-2astra1) …
Настраивается пакет apache2.2-bin (2.2.22-13astra.se15) …
Настраивается пакет apache2-utils (2.2.22-13astra.se15) …
Настраивается пакет apache2.2-common (2.2.22-13astra.se15) …
/var/lib/dpkg/info/apache2.2-common.postinst: line 139: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета apache2.2-common (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
dpkg: зависимости пакетов не позволяют настроить пакет apache2-mpm-prefork:
 apache2-mpm-prefork зависит от apache2.2-common (= 2.2.22-13astra.se15), однако:
  Пакет apache2.2-common пока не настроен.

dpkg: ошибка при обработке пакета apache2-mpm-prefork (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет apache2:
 apache2 зависит от apache2-mpm-prefork (= 2.2.22-13astra.se15), однако:
  Пакет apache2-mpm-prefork пока не настроен.
 apache2 зависит от apache2.2-common (= 2.2.22-13astra.se15), однако:
  Пакет apache2.2-common пока не настроен.

dpkg: ошибка при обработке пакета apache2 (--configure):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для libc-bin (2.23-0ubuntu3) …
При обработке следующих пакетов произошли ошибки:
 samba
 squid
 nfs-common
 nfs-kernel-server
 openbsd-inetd
 postgresql-common
 ppp
 pptpd
 vsftpd
 apache2.2-common
 apache2-mpm-prefork
 apache2
E: Sub-process /usr/bin/dpkg returned an error code (1)
Failed to perform requested operation on package.  Trying to recover:
Настраивается пакет ppp (2.4.6-3.1) …
/var/lib/dpkg/info/ppp.postinst: line 72: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета ppp (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Настраивается пакет apache2.2-common (2.2.22-13astra.se15) …
/var/lib/dpkg/info/apache2.2-common.postinst: line 139: update-rc.d: команда не найдена
dpkg: ошибка при обработке пакета apache2.2-common (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 127
dpkg: зависимости пакетов не позволяют настроить пакет apache2-mpm-prefork:
 apache2-mpm-prefork зависит от apache2.2-common (= 2.2.22-13astra.se15), однако:
  Пакет apache2.2-common пока не настроен.

dpkg: ошибка при обработке пакета apache2-mpm-prefork (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет apache2:
 apache2 зависит от apache2-mpm-prefork (= 2.2.22-13astra.se15), однако:
  Пакет apache2-mpm-prefork пока не настроен.
 apache2 зависит от apache2.2-common (= 2.2.22-13astra.se15), однако:
  Пакет apache2.2-common пока не настроен.

dpkg: ошибка при обработке пакета apache2 (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 ppp
 apache2.2-common
 apache2-mpm-prefork
 apache2
                   

Cообщение объединено 25 Июля 2017, 14:45:11
2. Обновить список источников

это apptitude update / apt-get update ?
 

Оффлайн ogost

Re: apache + php
« Ответ #3 : 25 Июля 2017, 14:58:16 »
Мда, я смотрю, у вас там намешано всего.
это apptitude update / apt-get update ?
Да.
В зависимости от количества сторонних пакетов вам нужно сейчас либо переустановить систему, либо ручками удовлетворять зависимости, удаляя сторонее

Оффлайн Екатерина

  • Активный пользователь
  • **
  • Сообщений: 90
Re: apache + php
« Ответ #4 : 25 Июля 2017, 15:20:16 »
apt-get install -f предлагает по-моему удалить все(   :-[

не хочу переустанавливать( как мне ручками зависимости удовлетворять?

root@optic:/# apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  freetds-common glib-networking-common gsettings-desktop-schemas gstreamer0.10-alsa gstreamer0.10-plugins-base imagemagick-common
  libaa1 libavc1394-0 libavcodec55 libavformat55 libavresample1 libavutil53 libcdparanoia0 libdirectfb-1.2-9 libdv4 libfaac0
  libgettextpo0 libgl1-mesa-dev libglewmx1.10 libgsm1 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libiec61883-0 libjemalloc1
  libkf5config-data liblqr-1-0 libmp3lame0 libodbc1 libopus0 liborc-0.4-0 libpulse-mainloop-glib0 libschroedinger-1.0-0 libshout3
  libspeexdsp1 libswscale2 libsybdb5 libtheora0 libunistring0 libv4l-0 libv4lconvert0 libva1 libvdpau1 libvisual-0.4-0 libvpx1
  libwavpack1 libx264-142 libxslt1.1 libxvidcore4 mysql-common phonon-backend-gstreamer-common python3-dbus python3-gi
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  acpi-support apt apt-transport-https apt-utils apt-xapian-index aptitude brasero brasero-cdrkit browser-plugin-gnash cpp
  dvd+rw-tools easypaint emdebian-archive-keyring ept-cache firefox fly-admin-autostart fly-admin-center fly-admin-cron
  fly-admin-device-manager fly-admin-dm fly-admin-env fly-admin-fonts fly-admin-gamma fly-admin-gmc fly-admin-grub2
  fly-admin-int-check fly-admin-local fly-admin-local-se fly-admin-marker fly-admin-power fly-admin-printer fly-admin-printer-mac
  fly-admin-runlevel fly-admin-service fly-admin-viewaudit fly-admin-wicd fly-admin-winprops fly-admin-wm fly-alternatives fly-calc
  fly-contacts fly-doc fly-fm fly-fm-audit fly-fm-bsign fly-fm-libs fly-fm-mac fly-hexedit fly-image fly-jobviewer fly-kiosk
  fly-mac-dialog fly-mail fly-notes fly-passwd fly-phone-db-client fly-phone-dbus fly-phone-webbrowser fly-phone-widgets
  fly-photocamera fly-plastique-style fly-print-monitor fly-qdm fly-qml-components fly-qml-dialer fly-randr fly-record fly-run
  fly-run-sumac fly-scan fly-secretsservice fly-shutdown-dialog fly-sms fly-snapshot fly-start-panel fly-su fly-system-monitor
  fly-system-monitor-mac-plugin fly-term fly-videocamera fly-vkbd fly-winprops-service fly-wm fly-xkbmap flyqt5platformtheme
  flyui-utils freeglut3-dev gcc-4.7-base gettext gettext-base ghostscript glib-networking glib-networking-services gmc-common
  gmc-miscellaneous gmc-miscellaneous-se gnash gnash-common goldendict gostsum gparted groff-base growisofs grub-common grub-pc
  grub-pc-bin grub2-common gstreamer0.10-plugins-good iperf juffed lib32asound2 lib32bz2-1.0 lib32ncurses5 lib32tinfo5
  libapt-inst1.5 libapt-pkg4.12 libasan2 libasprintf0c2 libatkmm-1.6-1 libatomic1 libboost-chrono1.55.0 libboost-filesystem1.58.0
  libboost-iostreams1.49.0 libboost-iostreams1.55.0 libboost-program-options1.55.0 libboost-system1.55.0 libboost-system1.58.0
  libboost-thread1.55.0 libbrasero-media3-1 libcaca0 libcairomm-1.0-1 libcc1-0 libcilkrts5 libconfig++9 libconnman-qt libcrypto++9
  libcwidget3 libdjvulibre21 libept1.4.12 libexiv2-12 libfam0 libfftw3-double3 libfly-admin-printer libfly-system-monitor libflyauth
  libflycore libflydbus libflydevices libflyfiledialog2 libflyintegration1 libflyjobs2 libflyjpeg1 libflypty2 libflyscan2
  libflysecrets libflysu2 libflythumbnails2 libflyui2 libflyuiaux2 libflyuiextra2 libflyuinet2 libgcc-5-dev libgl1-mesa-dri
  libgl1-mesa-dri-dbg libglademm-2.4-1c2a libgle3 libgle3-dev libglew-dev libglewmx-dev libglibmm-2.4-1c2a libgltf-0.0-0v5
  libgltf-dev libglu1-mesa libglu1-mesa-dev libgomp1 libgs9 libgtkglext1 libgtkmm-2.4-1c2a libharfbuzz-icu0 libhunspell-1.3-0
  libicu52 libicu55 libilmbase6 libitm1 libjack-jackd2-0 libkf5config-bin libkf5configcore5 libkf5coreaddons5 libkf5idletime5
  libkf5itemviews5 libkf5solid5 libkf5windowsystem5 libllvm3.4 liblsan0 liblua5.1-0 libmacdetect libmagick++5 libmagickcore5
  libmagickwand5 libmirclient9 libmircommon5 libmirprotobuf3 libmpx0 libmysqlclient18 libopencv-calib3d2.4 libopencv-contrib2.4
  libopencv-core2.4 libopencv-features2d2.4 libopencv-flann2.4 libopencv-gpu2.4 libopencv-highgui2.4 libopencv-imgproc2.4
  libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-ocl2.4 libopencv-photo2.4 libopencv-stitching2.4
  libopencv-superres2.4 libopencv-ts2.4 libopencv-video2.4 libopencv-videostab2.4 libopenexr6 libosmesa6 libpangomm-1.4-1
  libparsec-aud-qt5-1 libparsec-common-qt5-1 libparsec-mac-qt5-1 libpcrecpp0 libpdac++ libphonon4 libphonon4qt5-4 libpolkit-qt5-1-1
  libpoppler-qt5-1 libpoppler44 libpoppler58 libportaudio2 libprotobuf-lite9v5 libproxy1v5 libqaccessibilityclient libqca-qt5-2
  libqca-qt5-2-plugins libqca2 libqca2-plugins libqgsttools-p1 libqimageblitz5 libqpdf17 libqsane1 libqt4-dbus libqt4-declarative
  libqt4-designer libqt4-help libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-sqlite libqt4-svg
  libqt4-test libqt4-xml libqt4-xmlpatterns libqt5clucene5 libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5declarative5
  libqt5designer5 libqt5gui5 libqt5help5 libqt5location5 libqt5location5-plugins libqt5lockedfile5 libqt5multimedia5
  libqt5multimedia5-plugins libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5positioning5
  libqt5positioning5-plugins libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickparticles5 libqt5quicktest5 libqt5scintilla2-11
  libqt5script5 libqt5scripttools5 libqt5sensors5 libqt5serialport5 libqt5singleapplication5 libqt5sql5 libqt5sql5-mysql
  libqt5sql5-odbc libqt5sql5-psql libqt5sql5-sqlite libqt5sql5-tds libqt5svg5 libqt5svg5-dev libqt5test5 libqt5webkit5
  libqt5widgets5 libqt5x11extras5 libqt5xml5 libqt5xmlpatterns5 libqtassistantclient4 libqtcore4 libqtdbus4 libqtgui4 libqtwebkit4
  libquadmath0 libqudev0 libquvi7 librest-0.7-0 libsdl1.2debian libsigc++-1.2-5c2 libsigc++-2.0-0c2a libsigc++-2.0-dev
  libslidingstackedwidget libsoup-gnome2.4-1 libsoup2.4-1 libspectre1 libstdc++6 libtag1-vanilla libtag1c2a libtbb2
  libtotem-plparser17 libtsan0 libubsan0 libuniconf4.6 libvmime0 libwvstreams4.6-base libwvstreams4.6-extras libwxbase2.8-0
  libwxgtk2.8-0 libxapian22 libxatracker2 man-db menu mesa-utils mesa-vdpau-drivers p7zip-full p7zip-rar parsec-tests pgadmin3
  pgagent phonon-backend-gstreamer phonon4qt5-backend-gstreamer poppler-utils powertop python-apt python-dbus.mainloop.pyqt5
  python-qt4 python-qt4-dbus python-sip python-xapian python3-dbus.mainloop.pyqt5 qasmixer qbat qca-qt5-2-utils qdbus-qt5 qml
  qml-model-qtqml-models2 qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtaudioengine
  qml-module-qtgraphicaleffects qml-module-qtlocation qml-module-qtmultimedia qml-module-qtpositioning qml-module-qtqml-models2
  qml-module-qtqml-statemachine qml-module-qtquick-controls qml-module-qtquick-dialogs qml-module-qtquick-extras
  qml-module-qtquick-layouts qml-module-qtquick-localstorage qml-module-qtquick-particles2 qml-module-qtquick-privatewidgets
  qml-module-qtquick-window2 qml-module-qtquick-xmllistmodel qml-module-qtquick2 qml-module-qtsensors qml-module-qttest
  qml-module-qtwebkit qpdfview qpdfview-djvu-plugin qpdfview-ps-plugin qpdfview-translations qt-assistant-compat qt-at-spi
  qt5-assistant qt5-image-formats-plugins qt5-style-plugins qtbase5-examples qtchooser qtdeclarative5-examples
  qtdeclarative5-render2d-plugin qtlocation5-examples qtmultimedia5-examples qtnotifydaemon qtquick1-5-dev-tools
  qtquick1-qml-plugins qtquick1-qmltooling-plugins qtquickcontrols5-examples qtscript5-examples qtsensors5-examples qtsvg5-examples
  qttools5-examples qtxmlpatterns5-examples smolensk-security stardict-dicts-en-ru stardict-dicts-ru-en swfdec-mozilla synaptic
  tasksel tasksel-data thunderbird thunderbird-addon-firetray thunderbird-locale-ru unrar vnc4server x11-apps x11-session-utils
  x11-xserver-utils xbase-clients xorg xserver-xorg-video-all xserver-xorg-video-vmware xutils
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
  apt libapt-pkg4.12 (due to apt) libstdc++6 (due to apt)
0 upgraded, 0 newly installed, 431 to remove and 0 not upgraded.
6 not fully installed or removed.
After this operation, 1013 MB disk space will be freed.
You are about to do something potentially harmful.
To continue type in the phrase 'Yes, do as I say!'
 ?]
 

Оффлайн endru

Re: apache + php
« Ответ #5 : 26 Июля 2017, 04:35:01 »
Жесть... играться с установкой пакетов из сторонних источников, без резервных копий может привести к поломке системы!
1. нужно удостовериться что сторонние репы точно удалены!
cat /etc/apt/sources.list /etc/apt/sources.list.d/*2. обновляем список источников:
apt-get update3. Посмотреть списпок всех установленных пакетов, которые ставились не из репов дебиана
dpkg -l | grep astraэти пакеты нужно будет переустановить.

если это сложно, не понятно и т.д. и т.п. - проще переустановить систему!

Оффлайн vic5710

Re: apache + php
« Ответ #6 : 26 Июля 2017, 05:17:10 »
не хочу переустанавливать( как мне ручками зависимости удовлетворять?
вы случаем не Astra Linux ставили? Если да, то легче накатить все по новой, там много переделок. Или отпилите раздел и поставьте вторую систему с нуля, чтобы данные не терять
 

Оффлайн ogost

Re: apache + php
« Ответ #7 : 26 Июля 2017, 05:48:58 »
Вообще да, верно заметили, не похоже на Debian, похоже на астру с примесью убунты.

Оффлайн Екатерина

  • Активный пользователь
  • **
  • Сообщений: 90
Re: apache + php
« Ответ #8 : 26 Июля 2017, 09:26:20 »
вы случаем не Astra Linux ставили? Если да, то легче накатить все по новой, там много переделок. Или отпилите раздел и поставьте вторую систему с нуля, чтобы данные не терять
:-X это и есть астра. Без примеси убунты. Т.к. это сервер, то коллега ставил оттуда пакет а из репозиториев не удалил. В итоге при моей доустановке пакетов они ставились из репозиториев убунты (ну а че, там то пакеты новее)
а получилась вот такая шляпа(
Я боюсь при переустановке данные таки потеряются( т.к. в основном из важных там сервер и база постгре (была :()


Cообщение объединено 26 Июля 2017, 09:27:42
Но Астра - это тот же дебиан только чуть-чуть видоизмененный
 

Оффлайн vic5710

Re: apache + php
« Ответ #9 : 26 Июля 2017, 12:59:15 »
Но Астра - это тот же дебиан только чуть-чуть видоизмененный
это так, но сделано по принципу - найти и перепрятать. БД можно из бэкапа восстановить. попробуйте вариант Б - чистая установка на другом разделе, дальше данные вытащите потихоньку со старого раздела
 

Оффлайн Екатерина

  • Активный пользователь
  • **
  • Сообщений: 90
Re: apache + php
« Ответ #10 : 26 Июля 2017, 14:36:47 »
найти и перепрятать.
потрясающе подмечено!
эхъ( ладушки( я надеялась, что есть простой способ - вжух и астра починена.
А как можно базу с постгре вытащить? это самое критичное. все остальное заново сделаю( а вот с базой беда(( 
 

Оффлайн vic5710

Re: apache + php
« Ответ #11 : 26 Июля 2017, 14:52:54 »
ну например так
http://postgresql.ru.net/manual/backup-file.html
как вариант - отпилить раздел, установить постгрес, примонтировать старый раздел, сделать симлинк на старую базу данных

Cообщение объединено 26 Июля 2017, 15:15:51
чота не подумал - апач у вас упал, а постгрес сервер крутится? можно удаленно подключиться
http://vivazzi.ru/it/remote-access-postgresql/
« Последнее редактирование: 26 Июля 2017, 15:15:51 от vic5710 »
 

Оффлайн Екатерина

  • Активный пользователь
  • **
  • Сообщений: 90
Re: apache + php
« Ответ #12 : 26 Июля 2017, 15:34:03 »
 :( уже не крутится

учитывая, что файла /usr/local/pgsql/data нет, я так понимаю база утеряна на веки вечные?
« Последнее редактирование: 26 Июля 2017, 15:37:37 от Екатерина »
 

Оффлайн vic5710

Re: apache + php
« Ответ #13 : 26 Июля 2017, 15:58:02 »
если бэкап не делали и удалили данные то все. а БД точно была в /usr/local/pgsql/ ? вроде данные не должны удаляться
Цитировать
Расположение файлов

Debian разделяет файл настроек базы данных от файлов базы данных, в то время как, общая установка PostgreSQL, напротив, ставит всё в один и тот же каталог. Обратите внимание, что Debian позволяет нескольким кластерам и даже различным версиям PostgreSQL находится на одном хосте.

Конфигурационные файлы: /etc/postgresql/[version]/[cluster]/
Бинарные: /usr/lib/postgresql/[version]
Файлы данных: /var/lib/postgresql/[version]/[cluster]

Log-файлы: При установки PostgreSQL создает директорию для лог-файлов /var/log/postgresql/. При запуске ядра СУБД создает файл журнала с именем postgresql-[version]-[cluster].log.
у мну там и лежит /var/lib/postgresql
instr.jpg
« Последнее редактирование: 27 Июля 2017, 10:47:53 от vic5710 »
 
Пользователи, которые поблагодарили этот пост: Екатерина

Оффлайн Екатерина

  • Активный пользователь
  • **
  • Сообщений: 90
Re: apache + php
« Ответ #14 : 27 Июля 2017, 16:56:58 »
спасибо =( я так больше не буду. Я осознала и поняла свою ошибку.
Я подняла apache и прикрутила туда php. Осталось его настроить(
в папке /var/lib/postgresql/9.4/main есть /base только я не знаю, что с ней делать.
Я установила постгре заново, настроила его и вот у меня девственно чистая база - а как правильно добавлять туда уже имеющуюся базу?
у меня в принципе есть старенький бэкап sql  и я думала делать так psql -f <файл> <база>
Но вообще-то на сервере была база поновее, так что если можно будет оттуда вытащить, будет очень круто.

Cообщение объединено 27 Июля 2017, 17:21:26
Spoiler: ShowHide
Итак, наихудшее случилось и вам необходимо восстановиться из резервной копии. Порядок таков:

Остановите сервер баз данных, если он запущен.

Если у вас есть место, чтобы сделать это, скопируйте весь текущий каталог кластера баз данных и все табличные пространства во временный каталог на случай, если они вам потом понадобятся. Обратите внимание, что данная предосторожность требует, чтобы у вас было достаточно свободного дискового пространства, чтобы разместить две копии ваших существующих данных. Если у вас нет достаточного места, вы должны по крайней мере сохранить содержимое подкаталога pg_xlog из каталога кластера баз данных, так как он может содержать журналы, которые не были заархивированы перед остановом сервера.

Удалите все существующие файлы и подкаталоги из каталога кластера баз данных и данные из подкаталогов, содержащих табличные пространства, которые вы используете (если эти подкаталоги расположены вне каталога с кластером баз данных).

Восстановите файлы из вашей резервной копии файловой системы. Убедитесь, что они восстановились с правильными правами доступа и правильными владельцем и группой (системным пользователем баз данных, а не root!). Если вы используете табличные пространства (которые расположены вне каталога с кластером баз данных), вы должны проверить, что символьные ссылки в pg_tblspc/ восстановились корректно.

Удалите все файлы из pg_xlog/; они попали туда из резервной копии файловой системы и таким образом, предположительно, являются более старыми, чем текущие. Если вы не архивировали сам pg_xlog/, то пересоздайте этот каталог с правильными правами доступа или воссоздайте символьную ссылку, если ранее у вас было настроено так.

Если у вас есть незаархивированные файлы с WAL сегментами, которые вы сохранили на втором шаге, скопируйте их в pg_xlog/. (Лучше всего именно скопировать их, а не перенести, чтобы у вас осталось неизменённое состояние ваших старых данных, если вдруг случиться проблема и вам понадобиться выполнять всё заново.)

Создайте командный файл восстановления recovery.conf в каталоге кластера баз данных (см. Chapter 26). Вы можете также захотеть временно изменить pg_hba.conf, чтобы предотвратить подключение обычных пользователей во время восстановительных работ.

Запустите сервер. Сервер войдёт в режим восстановления и начнёт читать необходимые ему архивированные WAL файлы. Если восстановление было прервано из-за внешней ошибки, сервер можно просто перезапустить и он продолжит восстановление. По завершению процесса восстановления, сервер переименует файл recovery.conf в recovery.done (чтобы предотвратить повторный запуск режима восстановления) и затем начнёт обычные операции работы с базами данных.

Просмотрите содержимое ваших баз данных, чтобы убедиться, что вы восстановились на желаемое состояние. Если нет, вернитесь к первому шагу. Если всё хорошо, разрешите подключения вашим пользователям, восстановив старый файл pg_hba.conf.


Прочитав вот это - я поняла следующее, что у меня есть шанс, остановить службу постгрес, удалить все из папки /var/lib/postgresql/9.4/main и скопировать туда все из такой же папки с предыдущего сервера
и если случится чудо, то все заработает. или я не так читаю?

« Последнее редактирование: 27 Июля 2017, 17:21:26 от Екатерина »
 

Теги:
 

Настройка связки Apache+nginx

Автор wolfnight

Ответов: 0
Просмотров: 1785
Последний ответ 05 Июля 2012, 20:16:48
от wolfnight
Apache не видит новые настройки

Автор nihi1ist

Ответов: 11
Просмотров: 4013
Последний ответ 04 Мая 2016, 06:22:00
от nihi1ist
Сократить время первой задержки ввода (FID) (оптимизиция сервера на Apache)

Автор misha_lp

Ответов: 2
Просмотров: 487
Последний ответ 07 Декабря 2019, 18:48:52
от misha_lp
[Решено] Установка apache

Автор cia

Ответов: 2
Просмотров: 2648
Последний ответ 28 Октября 2011, 13:24:37
от cia
Установка apache 2.2.27

Автор vasiliy_b

Ответов: 1
Просмотров: 2591
Последний ответ 13 Августа 2014, 22:26:44
от Yrii